import { APIClient, Command } from '@heroku-cli/command';
import { Config } from '@oclif/core';
export default abstract class extends Command {
    shogun: APIClient;
    constructor(argv: string[], config: Config);
}
export interface PrivateLinkDB {
    apps: {
        name: string;
    };
    addon: {
        name: string;
    };
    status: string;
    service_name: string;
    allowed_accounts: {
        arn: string;
        status: string;
    }[];
    connections: {
        endpoint_id: string;
        owner_arn: string;
        status: string;
    }[];
}
